## com.fasterxml.jackson.databind.deser.std
Class DateDeserializers

    java.lang.Object
      com.fasterxml.jackson.databind.deser.std.DateDeserializers

    public class DateDeserializers

extends Object

Container class for core JDK date/time type deserializers.

Nested Class Summary
`static class` `DateDeserializers.CalendarDeserializer`
`protected static class` `DateDeserializers.DateBasedDeserializer<T>`
`static class` `DateDeserializers.DateDeserializer` Simple deserializer for handling `Date` values.
`static class` `DateDeserializers.SqlDateDeserializer` Compared to plain old `Date`, SQL version is easier to deal with: mostly because it is more limited.
`static class` `DateDeserializers.TimestampDeserializer` Simple deserializer for handling `Timestamp` values.
`protected static class` `DateDeserializers.TimeZoneDeserializer` As per [JACKSON-522], also need special handling for TimeZones

Constructor Summary
`DateDeserializers()`

Method Summary
`static StdDeserializer<?>[]` `all()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateDeserializers

    public DateDeserializers()

Method Detail

### all

    public static StdDeserializer<?>[] all()

Copyright © 2012 FasterXML. All Rights Reserved.